import { Paginator } from "@aws-sdk/types";
import {
  ListOriginEndpointsCommandInput,
  ListOriginEndpointsCommandOutput,
} from "../commands/ListOriginEndpointsCommand";
import { MediaPackageV2PaginationConfiguration } from "./Interfaces";
export declare function paginateListOriginEndpoints(
  config: MediaPackageV2PaginationConfiguration,
  input: ListOriginEndpointsCommandInput,
  ...additionalArguments: any
): Paginator<ListOriginEndpointsCommandOutput>;
